ru.bitel.bgbilling.modules.megogo.common.bean

## Class MegogoContractCredentials

- java.lang.Object
- - ru.bitel.bgbilling.modules.megogo.common.bean.MegogoContractCredentials

-     public class MegogoContractCredentials
      extends java.lang.Object

  Учетные данные пользователя Megogo

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MegogoContractCredentials()`
    `MegogoContractCredentials(int contractId, int uid, java.lang.String login)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getContractId()`
    `java.util.Date` | `getLm()`
    `java.lang.String` | `getLogin()`
    `java.lang.String` | `getPwd()`
    `int` | `getUid()` Внутренний идентификатор пользователя на MEGOGO
    `void` | `setContractId(int contractId)`
    `void` | `setLm(java.util.Date lm)`
    `void` | `setLogin(java.lang.String login)`
    `void` | `setPwd(java.lang.String pwd)`
    `void` | `setUid(int uid)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MegogoContractCredentials

          public MegogoContractCredentials()

    - #### MegogoContractCredentials

          public MegogoContractCredentials(int contractId,
                                           int uid,
                                           java.lang.String login)

  - ### Method Detail

    - #### getContractId

          public int getContractId()

    - #### setContractId

          public void setContractId(int contractId)

    - #### getUid

          public int getUid()

      Внутренний идентификатор пользователя на MEGOGO

    - #### setUid

          public void setUid(int uid)

    - #### getLogin

          public java.lang.String getLogin()

    - #### setLogin

          public void setLogin(java.lang.String login)

    - #### getPwd

          public java.lang.String getPwd()

    - #### setPwd

          public void setPwd(java.lang.String pwd)

    - #### getLm

          public java.util.Date getLm()

    - #### setLm

          public void setLm(java.util.Date lm)